Commit e6c2faf0 authored by Led's avatar Led

0.10.2

parent 8df46a09
...@@ -82,6 +82,9 @@ ...@@ -82,6 +82,9 @@
/* Define to 1 if you have the <string.h> header file. */ /* Define to 1 if you have the <string.h> header file. */
#undef HAVE_STRING_H #undef HAVE_STRING_H
/* Define if sys/types.h present */
#undef HAVE_SYS_INTTYPES_H
/* Define to 1 if you have the <sys/stat.h> header file. */ /* Define to 1 if you have the <sys/stat.h> header file. */
#undef HAVE_SYS_STAT_H #undef HAVE_SYS_STAT_H
......
...@@ -9714,6 +9714,145 @@ _ACEOF ...@@ -9714,6 +9714,145 @@ _ACEOF
if test "${ac_cv_header_sys_inttypes_h+set}" = set; then
echo "$as_me:$LINENO: checking for sys/inttypes.h" >&5
echo $ECHO_N "checking for sys/inttypes.h... $ECHO_C" >&6
if test "${ac_cv_header_sys_inttypes_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
echo "$as_me:$LINENO: result: $ac_cv_header_sys_inttypes_h" >&5
echo "${ECHO_T}$ac_cv_header_sys_inttypes_h" >&6
else
# Is the header compilable?
echo "$as_me:$LINENO: checking sys/inttypes.h usability" >&5
echo $ECHO_N "checking sys/inttypes.h usability... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <sys/inttypes.h>
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6
# Is the header present?
echo "$as_me:$LINENO: checking sys/inttypes.h presence" >&5
echo $ECHO_N "checking sys/inttypes.h presence... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <sys/inttypes.h>
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi
else
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc in
yes:no )
{ echo "$as_me:$LINENO: WARNING: sys/inttypes.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: sys/inttypes.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: sys/inttypes.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: sys/inttypes.h: proceeding with the preprocessor's result" >&2;}
(
cat <<\_ASBOX
## ------------------------------------ ##
## Report this to bug-autoconf@gnu.org. ##
## ------------------------------------ ##
_ASBOX
) |
sed "s/^/$as_me: WARNING: /" >&2
;;
no:yes )
{ echo "$as_me:$LINENO: WARNING: sys/inttypes.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: sys/inttypes.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: sys/inttypes.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: sys/inttypes.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: sys/inttypes.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: sys/inttypes.h: proceeding with the preprocessor's result" >&2;}
(
cat <<\_ASBOX
## ------------------------------------ ##
## Report this to bug-autoconf@gnu.org. ##
## ------------------------------------ ##
_ASBOX
) |
sed "s/^/$as_me: WARNING: /" >&2
;;
esac
echo "$as_me:$LINENO: checking for sys/inttypes.h" >&5
echo $ECHO_N "checking for sys/inttypes.h... $ECHO_C" >&6
if test "${ac_cv_header_sys_inttypes_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_cv_header_sys_inttypes_h=$ac_header_preproc
fi
echo "$as_me:$LINENO: result: $ac_cv_header_sys_inttypes_h" >&5
echo "${ECHO_T}$ac_cv_header_sys_inttypes_h" >&6
fi
if test $ac_cv_header_sys_inttypes_h = yes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_SYS_INTTYPES_H 1
_ACEOF
fi
echo "$as_me:$LINENO: checking for socket in -lsocket" >&5 echo "$as_me:$LINENO: checking for socket in -lsocket" >&5
echo $ECHO_N "checking for socket in -lsocket... $ECHO_C" >&6 echo $ECHO_N "checking for socket in -lsocket... $ECHO_C" >&6
if test "${ac_cv_lib_socket_socket+set}" = set; then if test "${ac_cv_lib_socket_socket+set}" = set; then
......
...@@ -61,6 +61,8 @@ AC_CHECK_SIZEOF(int) ...@@ -61,6 +61,8 @@ AC_CHECK_SIZEOF(int)
AC_CHECK_SIZEOF(long) AC_CHECK_SIZEOF(long)
AC_CHECK_SIZEOF(long long) AC_CHECK_SIZEOF(long long)
AC_CHECK_HEADER(sys/inttypes.h,AC_DEFINE(HAVE_SYS_INTTYPES_H,1,[Define if sys/types.h present]),)
AC_CHECK_LIB(socket,socket,MPD_LIBS="$MPD_LIBS -lsocket",) AC_CHECK_LIB(socket,socket,MPD_LIBS="$MPD_LIBS -lsocket",)
AC_CHECK_LIB(nsl,gethostbyname,MPD_LIBS="$MPD_LIBS -lnsl",) AC_CHECK_LIB(nsl,gethostbyname,MPD_LIBS="$MPD_LIBS -lnsl",)
......
...@@ -17,12 +17,14 @@ typedef unsigned __int64 uint64_t; ...@@ -17,12 +17,14 @@ typedef unsigned __int64 uint64_t;
#include "../../config.h" #include "../../config.h"
#ifdef HAVE_STDINT_H #if defined(HAVE_STDINT_H)
#include <stdint.h> #include <stdint.h>
#else #elif defined(HAVE_INTTYPES_H)
#ifdef HAVE_INTTYPES_H
#include <inttypes.h> #include <inttypes.h>
#endif #elif defined(HAVE_SYS_INTTYPES_H)
#include <sys/inttypes.h>
#elif defined(HAVE_SYS_TYPES_H)
#include <sys/types.h>
#endif #endif
#endif #endif
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment